## org.apache.jasper.compiler
Class SmapUtil.ClassInfo

    java.lang.Object
      org.apache.jasper.compiler.SmapUtil.ClassInfo

Enclosing class:
  SmapUtil

    public static class SmapUtil.ClassInfo

extends Object

Constructor Summary
`SmapUtil.ClassInfo(String className, SmapStratum smapStratum)`

Method Summary
`String` `getClassFileName()`
`String` `getClassName()`
`String` `getSmap()`
`SmapStratum` `getSmapStratum()`
`void` `setClassFileName(String classFileName)`
`void` `setSmap(String smap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmapUtil.ClassInfo

    public SmapUtil.ClassInfo(String className,
                              SmapStratum smapStratum)

Method Detail

### getClassName

    public String getClassName()

### getSmapStratum

    public SmapStratum getSmapStratum()

### getClassFileName

    public String getClassFileName()

### setClassFileName

    public void setClassFileName(String classFileName)

### getSmap

    public String getSmap()

### setSmap

    public void setSmap(String smap)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.